[ARVADOS] updated: 1.3.0-1907-g7737b743b
Git user
git at public.curoverse.com
Fri Nov 22 18:59:34 UTC 2019
Summary of changes:
build/run-tests.sh | 7 +++++--
1 file changed, 5 insertions(+), 2 deletions(-)
via 7737b743baed690e98882a1bb3e44d1a76e45030 (commit)
from 6361b15d39bdb78b5b1f8ca696fae543c677848c (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
commit 7737b743baed690e98882a1bb3e44d1a76e45030
Author: Tom Clegg <tclegg at veritasgenetics.com>
Date: Fri Nov 22 13:59:26 2019 -0500
15866: Install bundler in GEMHOME.
refs #15866
Arvados-DCO-1.1-Signed-off-by: Tom Clegg <tclegg at veritasgenetics.com>
diff --git a/build/run-tests.sh b/build/run-tests.sh
index fc0c1016d..af3426cd7 100755
--- a/build/run-tests.sh
+++ b/build/run-tests.sh
@@ -546,8 +546,11 @@ setup_ruby_environment() {
echo "Will install arvados gems to $tmpdir_gem_home"
echo "Gem search path is GEM_PATH=$GEM_PATH"
fi
- bundle config || gem install bundler \
- || fatal 'install bundler'
+ (
+ export HOME=$GEMHOME
+ ("$(gem env gempath | cut -f1 -d:)/bin/bundle" version | grep 2.0.2) \
+ || gem install --user bundler -v 2.0.2
+ ) || fatal 'install bundler'
}
with_test_gemset() {
-----------------------------------------------------------------------
hooks/post-receive
--
More information about the arvados-commits
mailing list